Package com.verisign.epp.codec.org

## Class EPPOrgTst

- java.lang.Object
- - com.verisign.epp.codec.org.EPPOrgTst

-     public class EPPOrgTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.org package.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPOrgTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPOrgTst`.
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `void` | `testCheckCommand()` | Unit test of the Org Check Command.
    `void` | `testCheckResponse()` | Unit test of the Org Check Response.
    `void` | `testCreateCommand()` | Unit test of the Org Create Command.
    `void` | `testCreateResponse()` | Unit test of the Org Create Response.
    `void` | `testDeleteCommand()` | Unit test of the Org Delete Command.
    `void` | `testInfoCommand()` | Unit test of the Org Info Command.
    `void` | `testInfoResponse()` | Unit test of the Org Info Response.
    `void` | `testUpdateCommand()` | Unit test of the Org Update Command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPOrgTst

          public EPPOrgTst()

  - ### Method Detail

    - #### testCheckCommand

          public void testCheckCommand()

      Unit test of the Org Check Command. The following are the tests:
      1. TEST1 - Check an individual org identifier.
      2. TEST2 - Check three org identifiers.

    - #### testCheckResponse

          public void testCheckResponse()

      Unit test of the Org Check Response. The following are the tests:
      1. TEST1 - Check response with an individual result.
      2. TEST2 - Check response with three results.

    - #### testInfoCommand

          public void testInfoCommand()

      Unit test of the Org Info Command.

    - #### testInfoResponse

          public void testInfoResponse()

      Unit test of the Org Info Response.

    - #### testCreateCommand

          public void testCreateCommand()

      Unit test of the Org Create Command.

    - #### testCreateResponse

          public void testCreateResponse()

      Unit test of the Org Create Response.

    - #### testDeleteCommand

          public void testDeleteCommand()

      Unit test of the Org Delete Command.

    - #### testUpdateCommand

          public void testUpdateCommand()

      Unit test of the Org Update Command.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPOrgTst`.

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test